CEXP(3)

NAME
cexp, cexpf, cexpl - complex exponential function

SYNOPSIS
#include <complex.h>

double complex cexp(double complex z);
float complex cexpf(float complex z);
long double complex cexpl(long double complex z);

Link with -lm.

DESCRIPTION
The function calculates e (2.71828..., the base of natural logarithms) raised to the power of z.

One has:
    cexp(I * z) = ccos(z) + I * csin(z)

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
C99.

SEE ALSO
cabs(3), clog(3), cpow(3), complex(7)

COLOPHON
This page is part of release 3.24 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.